import httpRequest from '@/utils/axios'

// 获取课程表列表
export function getTimetableList(params: { tab: string; status?: string; authorized?: string; classification?: string; page?: number; page_size?: number }) {
  return httpRequest.get('/api/resource/v1/resource/school-timetable/list', { params })
}

// 创建课程表
export function createTimetable(data: any) {
  return httpRequest.post('/api/resource/v1/resource/school-timetable/create', data)
}

// 获取学期
export function getSemestersList() {
  return httpRequest.get('/api/resource/v1/resource/school-timetable/semesters')
}

// 获取课程表详情
export function getTimetableDetails(params: { id: string }) {
  return httpRequest.get('/api/resource/v1/resource/school-timetable/view', { params })
}

// 更新课程表
export function updateTimetable(data: { id: string; name: string; classification: string; knowledge_points?: string; cover?: string }) {
  return httpRequest.post('/api/resource/v1/resource/school-timetable/update', data)
}

// 部门共享
export function setDepartment(data: { id: string }) {
  return httpRequest.post('/api/resource/v1/resource/school-timetable/set-department', data)
}

// 平台共享
export function setPlatform(data: { id: string }) {
  return httpRequest.post('/api/resource/v1/resource/school-timetable/set-platform', data)
}

// 上下线
export function setStatus(data: { id: string }) {
  return httpRequest.post('/api/resource/v1/resource/school-timetable/set-status', data)
}

// 更改负责人
export function setBelong(data: { id: string; belong_operator: string }) {
  return httpRequest.post('/api/resource/v1/resource/school-timetable/set-belong', data)
}
